# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetCatalogsReq

Packages that use TGetCatalogsReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetCatalogsReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetCatalogsReq
Modifier and Type
Class
Description
`class`
`TGetCatalogsReq`
`class`
`TGetCatalogsReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetCatalogsReq
Modifier and Type
Field
Description
`TGetCatalogsReq`
TCLIService.GetCatalogs_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetCatalogsReq
Modifier and Type
Method
Description
`TGetCatalogsReq`
TGetCatalogsReq.`deepCopy()`
`TGetCatalogsReq`
TCLIService.GetCatalogs_args.`getReq()`
`TGetCatalogsReq`
TGetCatalogsReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetCatalogsReq`
TGetCatalogsReq.`setRunAsync(boolean runAsync)`
`TGetCatalogsReq`
TGetCatalogsReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetCatalogsReq
Modifier and Type
Method
Description
`int`
TGetCatalogsReq.`compareTo(TGetCatalogsReq other)`
`boolean`
TGetCatalogsReq.`equals(TGetCatalogsReq that)`
`void`
TCLIService.AsyncClient.`GetCatalogs(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetCatalogs(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)`
`TGetCatalogsResp`
TCLIService.Client.`GetCatalogs(TGetCatalogsReq req)`
`TGetCatalogsResp`
TCLIService.Iface.`GetCatalogs(TGetCatalogsReq req)`
`void`
TCLIService.Client.`send_GetCatalogs(TGetCatalogsReq req)`
`TCLIService.GetCatalogs_args`
TCLIService.GetCatalogs_args.`setReq(TGetCatalogsReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetCatalogsReq
Modifier
Constructor
Description
``
`GetCatalogs_args(TGetCatalogsReq req)`
``
`GetCatalogs_call(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetCatalogsReq(TGetCatalogsReq other)`
Performs a deep copy on other.